program EXPL32;

{%ToDo 'EXPL32.todo'}


uses
  Forms,
  EBXMain in 'ebxmain.pas' {Form1},
  XPLCompiler in 'XPLCompiler.pas',
  I2LGlobal in 'I2LGlobal.pas',
  I2LInterp in 'I2LInterp.pas',
  I2lIntrinsics in 'I2lIntrinsics.pas',
  I2LLoader in 'I2LLoader.pas',
  IDECompileMessages in 'IDECompileMessages.pas',
  I2LConsoleIO in 'I2LConsoleIO.pas',
  I2LDataTypes in 'I2LDataTypes.pas',
  XPLDataTypes in 'XPLDataTypes.pas',
  IDEDebugInfo in 'IDEDebugInfo.pas' {DebugInfoDlg},
  IDEStackDump in 'IDEStackDump.pas' {StackDumpDlg},
  IDEDebugger in 'IDEDebugger.pas' {DebugDlg},
  IDEVariables in 'IDEVariables.pas' {VariableDlg},
  IDEModifyVariable in 'IDEModifyVariable.pas' {ModifyDlg},
  IDEWatchFormat in 'IDEWatchFormat.pas' {FormatDlg},
  IDEBitmapDlg in 'IDEBitmapDlg.pas' {BitmapDlg},
  IDEIntrinsicList in 'IDEIntrinsicList.pas' {IntrinsicDlg},
  IDEConfig in 'IDEConfig.pas' {ConfigDlg},
  IDEI2LDisasm in 'IDEI2LDisasm.pas' {I2LDisasmDlg},
  IDERunParams in 'IDERunParams.pas' {RuntimeDlg},
  IDEGlobal in 'IDEGlobal.pas',
  IDELineNumbers in 'IDELineNumbers.pas' {LineNumberDlg},
  IDECodeDec in 'IDECodeDec.pas' {CodeDecDlg},
  I2LDisasm in 'I2LDisasm.pas',
  IDEProfiler in 'IDEProfiler.pas' {ProfileDlg},
  IDEConstants in 'IDEConstants.pas' {ConstantsDlg},
  IDEFileProperties in 'IDEFileProperties.pas' {DetailsDlg},
  IDEProgressDlg in 'IDEProgressDlg.pas' {ProgressDlg},
  IDEAbout in 'IDEAbout.pas' {AboutDlg},
  IDEVGAPalette in 'IDEVGAPalette.pas' {VGAPalDlg},
  IDEVariableLib in 'IDEVariableLib.pas',
  IDESystemDlg in 'IDESystemDlg.pas' {SystemDlg},
  IDECanvasAttribs in 'IDECanvasAttribs.pas' {CanvasAttribFrm: TFrame},
  GL3DPrimatives in '3DCode\GL3DPrimatives.pas',
  I2L3DIntrinsics in '3DCode\I2L3DIntrinsics.pas',
  IDEHints in 'IDEHints.pas',
  IDEEditors in 'IDEEditors.pas',
  IDEFindAll in 'IDEFindAll.pas' {FindAllDlg},
  IDESearchProgress in 'IDESearchProgress.pas' {SearchProgDlg},
  IDEExpression in 'IDEExpression.pas',
  IDEDebugFile in 'IDEDebugFile.pas',
  I2LRawPrint in 'I2LRawPrint.pas',
  IDEDebugConfig in 'IDEDebugConfig.pas' {DebugConfigDlg},
  IDEVariableDis in 'IDEVariableDis.pas' {ExpandedDisDlg},
  XPLIntrinValidate in 'XPLIntrinValidate.pas',
  IDEIntrinStateDlg in 'IDEIntrinStateDlg.pas' {IntrinStateDlg},
  XRTGlobal in 'XRTGlobal.pas',
  XPLStructs in 'XPLStructs.pas',
  IDEHeapAnalyzer in 'IDEHeapAnalyzer.pas',
  IDESymbolDump in 'IDESymbolDump.pas' {DumpDlg},
  IDEStruncts in 'IDEStruncts.pas' {StructsDlg},
  IDEStructDebug in 'IDEStructDebug.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'EXPL32';
  Application.HelpFile := 'EXPL32Help.chm';
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TDebugInfoDlg, DebugInfoDlg);
  Application.CreateForm(TStackDumpDlg, StackDumpDlg);
  Application.CreateForm(TDebugDlg, DebugDlg);
  Application.CreateForm(TVariableDlg, VariableDlg);
  Application.CreateForm(TModifyDlg, ModifyDlg);
  Application.CreateForm(TFormatDlg, FormatDlg);
  Application.CreateForm(TBitmapDlg, BitmapDlg);
  Application.CreateForm(TIntrinsicDlg, IntrinsicDlg);
  Application.CreateForm(TConfigDlg, ConfigDlg);
  Application.CreateForm(TI2LDisasmDlg, I2LDisasmDlg);
  Application.CreateForm(TRuntimeDlg, RuntimeDlg);
  Application.CreateForm(TLineNumberDlg, LineNumberDlg);
  Application.CreateForm(TCodeDecDlg, CodeDecDlg);
  Application.CreateForm(TProfileDlg, ProfileDlg);
  Application.CreateForm(TConstantsDlg, ConstantsDlg);
  Application.CreateForm(TDetailsDlg, DetailsDlg);
  Application.CreateForm(TProgressDlg, ProgressDlg);
  Application.CreateForm(TAboutDlg, AboutDlg);
  Application.CreateForm(TVGAPalDlg, VGAPalDlg);
  Application.CreateForm(TSystemDlg, SystemDlg);
  Application.CreateForm(TFindAllDlg, FindAllDlg);
  Application.CreateForm(TSearchProgDlg, SearchProgDlg);
  Application.CreateForm(TDebugConfigDlg, DebugConfigDlg);
  Application.CreateForm(TExpandedDisDlg, ExpandedDisDlg);
  Application.CreateForm(TIntrinStateDlg, IntrinStateDlg);
  Application.CreateForm(TDumpDlg, DumpDlg);
  Application.CreateForm(TStructsDlg, StructsDlg);
  Application.Run;
end.
