unit IDECodeDec;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, Dialogs, StreamLib;

type
  TCodeDecDlg = class(TForm)
    Panel1: TPanel;
    CancelBtn: TButton;
    Panel2: TPanel;
    CodeDecMemo: TMemo;
    GenerateBtn: TButton;
    SaveBtn: TButton;
    SaveDialog1: TSaveDialog;
    BitBtn1: TBitBtn;
    ProtoChk: TCheckBox;
    procedure GenerateBtnClick(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CodeDecDlg: TCodeDecDlg;

implementation

uses I2lIntrinsics;

{$R *.dfm}

procedure TCodeDecDlg.GenerateBtnClick(Sender: TObject);
var S: string;
begin
GetCodeDeclaration(S,ProtoChk.Checked);
Self.CodeDecMemo.Text:=S;
end;



procedure TCodeDecDlg.SaveBtnClick(Sender: TObject);
var MS: TMemoryStream;
var S: string;
begin
MS:=TMemoryStream.Create;
try
if SaveDialog1.Execute then
	begin
	GetCodeDeclaration(S,ProtoChk.Checked);
 	WriteStreamString(MS,S);
	MS.SaveToFile(SaveDialog1.FileName);
	end;
finally MS.Free; end;
end;

end.
