unit IDEConstants;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TConstantsDlg = class(TForm)
    Panel1: TPanel;
    CancelBtn: TButton;
    Panel2: TPanel;
    Memo1: TMemo;
    BitBtn1: TBitBtn;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ConstantsDlg: TConstantsDlg;


procedure ShowConstantsDlg;

implementation

uses XPLDataTypes;

{$R *.dfm}


function GetDisplayStr(Title: string; I: int64): string;
begin
Result:=Title+':	$'+IntToHex(I and WordMask,IntNibbles)+' '+IntToStr(I);
end;



procedure ShowConstantsDlg;
begin
with ConstantsDlg do
 begin
 Memo1.Lines.Add(GetDisplayStr('Word Mask',WordMask));
 Memo1.Lines.Add(GetDisplayStr('Max Integer',MaxInteger));
 Memo1.Lines.Add(GetDisplayStr('Min Integer',MinInteger));
 Memo1.Lines.Add(GetDisplayStr('Max Int/10',MaxInt10));
 Memo1.Lines.Add(GetDisplayStr('Max Int/16',MaxInt16));

 Memo1.Lines.Add(GetDisplayStr('XPL True',XPLTrue));
 Memo1.Lines.Add(GetDisplayStr('XPL False',XPLFalse));

 Memo1.Lines.Add(GetDisplayStr('Real Size',RealSize));
 Memo1.Lines.Add(GetDisplayStr('Single Size',SingleSize));

 Memo1.Lines.Add(GetDisplayStr('Int Bytes',IntBytes));
 Memo1.Lines.Add(GetDisplayStr('Int Nibbles',IntNibbles));
 ShowModal;
 end
end;


end.
