unit IDEProgressDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, Gauges;

type
  TProgressDlg = class(TForm)
    Panel1: TPanel;
    Gauge1: TGauge;
    Panel2: TPanel;
    StatusDis: TPanel;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ProgressDlg: TProgressDlg;


procedure SetProgress(Msg: string); overload;
procedure SetProgress(Msg: string; Percent: integer); overload;
procedure SetProgress(Percent: integer); overload;
procedure ShowProgressDlg(Show: boolean);

implementation

{$R *.dfm}


procedure SetProgress(Msg: string);
begin
ProgressDlg.StatusDis.Caption:=Msg;
if ProgressDlg.CanFocus then ProgressDlg.SetFocus;
ProgressDlg.Repaint;
end;


procedure SetProgress(Percent: integer);
begin
ProgressDlg.Gauge1.Progress:=Percent;
if ProgressDlg.CanFocus then ProgressDlg.SetFocus;
ProgressDlg.Repaint;
end;



procedure SetProgress(Msg: string; Percent: integer);
begin
SetProgress(Msg);
SetProgress(Percent);
end;




procedure ShowProgressDlg(Show: boolean);
begin
if Show then ProgressDlg.Show else ProgressDlg.Close;
end;



end.
