unit IDESearchProgress;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls;

type
  TSearchProgDlg = class(TForm)
    Panel2: TPanel;
    Panel4: TPanel;
    Panel1: TPanel;
    PathDis: TPanel;
    FileDis: TPanel;
    Panel6: TPanel;
    AbortBtn: TBitBtn;
    Panel7: TPanel;
    Panel3: TPanel;
    FileCountDis: TPanel;
    Panel8: TPanel;
    FoundCountDis: TPanel;
    procedure AbortBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SearchProgDlg: TSearchProgDlg;

var AbortFlag: boolean;	{ Flags abort compile }

procedure UpdateSearchProgress(Path,Filename: string; FileCnt,FoundCnt: integer);
procedure ShowSearchProgressDlg;
procedure HideSearchProgressDlg;


implementation



{$R *.DFM}



procedure UpdateSearchProgress(Path,Filename: string; FileCnt,FoundCnt: integer);
begin
with SearchProgDlg do
 begin
 FileDis.Caption:=' '+Filename;
 PathDis.Caption:=' '+Path;
 FileCountDis.Caption:=' '+IntToStr(FileCnt);
 FoundCountDis.Caption:=' '+IntToStr(FoundCnt);
 SearchProgDlg.Update;
 end;
end;




procedure ShowSearchProgressDlg;
{Display progress dialog }
begin
SearchProgDlg.Show;
end;




procedure HideSearchProgressDlg;
{Hide progress dialog }
begin
SearchProgDlg.Close;
end;




procedure TSearchProgDlg.AbortBtnClick(Sender: TObject);
begin
AbortFlag:=True;
end;

end.
