; Install script for EXPL32

[Setup]
AppId=EXPL32InnoInstall
AppName=EXPL32
#define ApplicationVersion GetFileVersion('D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\EXPL32.exe')
AppVerName=EXPL32 {#ApplicationVersion}
VersionInfoVersion={#ApplicationVersion}
AppVersion={#ApplicationVersion}
AppPublisher=Fountain Computer Products
AppPublisherURL=http://www.fountainware.com
AppSupportURL=http://www.fountainware.com
AppUpdatesURL=http://www.fountainware.com
DefaultDirName=c:\EXPL32\
DefaultGroupName=EXPL32
LicenseFile=D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Install\EXPL32Install.license
InfoBeforeFile=D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Install\EXPL32Install.readme
OutputDir=D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Install
OutputBaseFilename=EXPL32Install
Compression=lzma2
SolidCompression=yes
WizardImageFile=D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Install\Graphics\Puzzle.bmp
WindowVisible=yes
BackColor=$000000
BackColor2=$FF0000
AppCopyright=Released by Fountain Computer Products 2022
UninstallDisplayIcon={app}\EXPL32.exe
ChangesAssociations=Yes

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[LangOptions]
CopyrightFontName=Arial
CopyrightFontSize=12

[Files]
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\EXPL32.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLStub32.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\EXPL32Help.chm"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\2048\2048.xpl"; DestDir: "{app}\Demos\2048"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Filtering\FIL3.BMP"; DestDir: "{app}\Demos\Filtering"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Filtering\FIL.XPL"; DestDir: "{app}\Demos\Filtering"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\MAHJONGG\MJ.LBM"; DestDir: "{app}\Demos\MAHJONGG"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\MAHJONGG\MJ.XPL"; DestDir: "{app}\Demos\MAHJONGG"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\MAHJONGG\ReadMe.txt"; DestDir: "{app}\Demos\MAHJONGG"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\NixieTube\NIXIECLK.BMP"; DestDir: "{app}\Demos\NixieTube"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\NixieTube\NIXIECLK.TXT"; DestDir: "{app}\Demos\NixieTube"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\NixieTube\NIXIECLK.XPL"; DestDir: "{app}\Demos\NixieTube"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Plot3D\PLOT3D.XPL"; DestDir: "{app}\Demos\Plot3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Ellipse\Ellipse3.xpl"; DestDir: "{app}\Demos\Ellipse"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Ellipse\Ellipse.xpl"; DestDir: "{app}\Demos\Ellipse"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Ellipse\Ellipse2.xpl"; DestDir: "{app}\Demos\Ellipse"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Haniod\Hanoid.xpl"; DestDir: "{app}\Demos\Haniod"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Pulley\PULLEY.XPL"; DestDir: "{app}\Demos\Pulley"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Pulley2\Pulley2.XPL"; DestDir: "{app}\Demos\Pulley2"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Ripples\Ripples.xpl"; DestDir: "{app}\Demos\Ripples"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Scroller\SCROLLER.XPL"; DestDir: "{app}\Demos\Scroller"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\WaterWheel\WW.XPL"; DestDir: "{app}\Demos\WaterWheel"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\XPong\xpong.xpl"; DestDir: "{app}\Demos\XPong"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\BlockWorld\BlkWorld.xpl"; DestDir: "{app}\Demos\BlockWorld"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Curves\Curves.xpl"; DestDir: "{app}\Demos\Curves"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\FractalTree\FracTree.xpl"; DestDir: "{app}\Demos\FractalTree"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\MineSweep\MINESWPR.XPL"; DestDir: "{app}\Demos\MineSweep"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Triangulator\Triangle.xpl"; DestDir: "{app}\Demos\Triangulator"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\WinDemo\WINDEMO.XPL"; DestDir: "{app}\Demos\WinDemo"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\DragonCurve\Dragon.xpl"; DestDir: "{app}\Demos\DragonCurve"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\grid.bmp"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\MisObjs.LBM"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\PUZZLE.XPL"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\Reset.bmp"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\Shadow.bmp"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\TileMask.bmp"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\PUZZLE\Tiles.bmp"; DestDir: "{app}\Demos\PUZZLE"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Matrix\HMatrix.xpl"; DestDir: "{app}\Demos\Matrix"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Structs\Vectorlib.xpl"; DestDir: "{app}\Demos\Structs"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Structs\ConnicalTest.xpl"; DestDir: "{app}\Demos\Structs"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Structs\StructsAllTests.xpl"; DestDir: "{app}\Demos\Structs"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Structs\MatrixTest.XPL"; DestDir: "{app}\Demos\Structs"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\DOCKED.WAV"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\GRUNT2.WAV"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\GRUNT7.WAV"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\LEVELS.TXT"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\MENU3.WAV"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\README.TXT"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\SLIDE.WAV"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\SOKOBAN.XPL"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\SOLVED.WAV"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\SOKOBAN\SPRITES.BMP"; DestDir: "{app}\Demos\SOKOBAN"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\TILES.XPL"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\DICT.XPL"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\GAME.TXT"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\LICENSE.TXT"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\README.TXT"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\TEXTRIS.DAT"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\TEXTRIS.TXT"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\TEXTRIS.XPL"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Textris\TILES.BMP"; DestDir: "{app}\Demos\Textris"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Windoze\WINDOZE1.LBM"; DestDir: "{app}\Demos\Windoze"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Windoze\WINDOZE2.LBM"; DestDir: "{app}\Demos\Windoze"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Windoze\WINDOZE.DAT"; DestDir: "{app}\Demos\Windoze"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Windoze\WINDOZE.F14"; DestDir: "{app}\Demos\Windoze"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Windoze\WINDOZE.TXT"; DestDir: "{app}\Demos\Windoze"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Windoze\WINDOZE.XPL"; DestDir: "{app}\Demos\Windoze"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Libraries\EXPLSTDLIB.XPL"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Libraries\EXPLCodes.xpl"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Install\prototyp.xpl"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\8-Across\8ACROSS.LBM"; DestDir: "{app}\Demos\8-Across"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\8-Across\8Across.xpl"; DestDir: "{app}\Demos\8-Across"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\Pentaminoes\Pent.xpl"; DestDir: "{app}\Demos\Pentaminoes"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Amaze3d\AMAZE3D.XPL"; DestDir: "{app}\Demos\3DDemos\Amaze3d"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Amaze3d2\AMAZE3D2.exe"; DestDir: "{app}\Demos\3DDemos\Amaze3d2"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Amaze3d2\AMaze3D2.inc"; DestDir: "{app}\Demos\3DDemos\Amaze3d2"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Amaze3d2\AMAZE3D2.XPL"; DestDir: "{app}\Demos\3DDemos\Amaze3d2"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\CubeMap.xpl"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\lobbyxneg.JPG"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\lobbyxpos.JPG"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\lobbyyneg.JPG"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\lobbyypos.JPG"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\lobbyzneg.JPG"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\CubeMap\lobbyzpos.JPG"; DestDir: "{app}\Demos\3DDemos\CubeMap"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Elipse3D\Ellipse.inc"; DestDir: "{app}\Demos\3DDemos\Elipse3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Elipse3D\Ellipse3D.XPL"; DestDir: "{app}\Demos\3DDemos\Elipse3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Simple3D\Cube3D.xpl"; DestDir: "{app}\Demos\3DDemos\Simple3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Simple3D\Nesting3D.xpl"; DestDir: "{app}\Demos\3DDemos\Simple3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Simple3D\Tetra3D.xpl"; DestDir: "{app}\Demos\3DDemos\Simple3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Skull3D\Skull3D.xpl"; DestDir: "{app}\Demos\3DDemos\Skull3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Skull3D\skull-bin.x"; DestDir: "{app}\Demos\3DDemos\Skull3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\SolarSystem3D\EarthMap.jpg"; DestDir: "{app}\Demos\3DDemos\SolarSystem3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\SolarSystem3D\Moon2.jpg"; DestDir: "{app}\Demos\3DDemos\SolarSystem3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\SolarSystem3D\SolarSystem3D.xpl"; DestDir: "{app}\Demos\3DDemos\SolarSystem3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\SolarSystem3D\starrysky.jpg"; DestDir: "{app}\Demos\3DDemos\SolarSystem3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\SolarSystem3D\SunMap.jpg"; DestDir: "{app}\Demos\3DDemos\SolarSystem3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Torus3D\background.bmp"; DestDir: "{app}\Demos\3DDemos\Torus3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Torus3D\donut.bmp"; DestDir: "{app}\Demos\3DDemos\Torus3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Torus3D\DonutPlain.png"; DestDir: "{app}\Demos\3DDemos\Torus3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Torus3D\DonutSprinkles.png"; DestDir: "{app}\Demos\3DDemos\Torus3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Torus3D\SphereMap.jpg"; DestDir: "{app}\Demos\3DDemos\Torus3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\XPLTest\Demos\3DDemos\Torus3D\Torus3D.xpl"; DestDir: "{app}\Demos\3DDemos\Torus3D"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Libraries\EXPLCodes.xpl"; DestDir: "C:\CXPL"; Flags: ignoreversion
Source: "D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\Libraries\EXPLSTDLIB.XPL"; DestDir: "C:\CXPL"; Flags: ignoreversion
Source: "..\XPLTest\Demos\Treat\treat.dat"; DestDir: "{app}\Demos\Treat"; Flags: ignoreversion
Source: "..\XPLTest\Demos\Treat\TREAT.XPL"; DestDir: "{app}\Demos\Treat"; Flags: ignoreversion
Source: "..\XPLTest\Demos\Treat\TREATDTA.XPL"; DestDir: "{app}\Demos\Treat"; Flags: ignoreversion
Source: "..\XPLTest\Demos\Treat\TREATSPR.XPL"; DestDir: "{app}\Demos\Treat"; Flags: ignoreversion

[INI]

[Registry]

[Icons]
Name: "{group}\EXPL32"; Filename: "{app}\EXPL32.exe"; WorkingDir: "{app}"
Name: "{commondesktop}\EXPL32"; Filename: "{app}\EXPL32.exe"; WorkingDir: "{app}"
Name: "{group}\EXPL Help"; Filename: "{app}\EXPL32Help.chm"; WorkingDir: "{app}"

