unit TCSGalilHybrid_TLB;

// ************************************************************************ //
// WARNING                                                                    
// -------                                                                    
// The types declared in this file were generated from data read from a       
// Type Library. If this type library is explicitly or indirectly (via        
// another type library referring to this type library) re-imported, or the   
// 'Refresh' command of the Type Library Editor activated while editing the   
// Type Library, the contents of this file will be regenerated and all        
// manual modifications will be lost.                                         
// ************************************************************************ //

// PASTLWTR : $Revision:   1.130.1.0.1.0.1.6  $
// File generated on 2/21/2016 2:13:29 PM from Type Library described below.

// ************************************************************************  //
// Type Lib: D:\Program\Borland\Delphi6\Experiments\Languages\EXPL32\DebugSource.tlb (1)
// LIBID: {13BB3AE8-4DD6-4E0A-9EBF-B2FF86906A07}
// LCID: 0
// Helpfile: 
// DepndLst: 
//   (1) v2.0 stdole, (E:\Windows\system32\stdole2.tlb)
//   (2) v4.0 StdVCL, (E:\Windows\system32\stdvcl40.dll)
// ************************************************************************ //
{$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers. 
{$WARN SYMBOL_PLATFORM OFF}
{$WRITEABLECONST ON}
{$VARPROPSETTER ON}
interface

uses Windows, ActiveX, Classes, Graphics, StdVCL, Variants;
  

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:        
//   Type Libraries     : LIBID_xxxx                                      
//   CoClasses          : CLASS_xxxx                                      
//   DISPInterfaces     : DIID_xxxx                                       
//   Non-DISP interfaces: IID_xxxx                                        
// *********************************************************************//
const
  // TypeLibrary Major and minor versions
  TCSGalilHybridMajorVersion = 1;
  TCSGalilHybridMinorVersion = 0;

  LIBID_TCSGalilHybrid: TGUID = '{13BB3AE8-4DD6-4E0A-9EBF-B2FF86906A07}';

  IID_IFocuser: TGUID = '{AE980ADC-B7B0-49AF-AC5B-DB60F4C763F1}';
  CLASS_Focuser: TGUID = '{6460EE05-1BD1-41CA-ABD5-839D6012DB95}';
  IID_ITelescope: TGUID = '{C77A4119-3BC1-4A1D-90B8-451B62631A21}';
  CLASS_Telescope: TGUID = '{D8ABE3FB-9FA1-4358-BE60-451774A5E252}';
  IID_IDome: TGUID = '{76FD6FEF-240A-49BA-A0AC-D0F4859A2132}';
  CLASS_Dome: TGUID = '{D4D258EE-1C57-4447-A944-87C311214C2D}';
  IID_ITrackingRates: TGUID = '{E5D79277-ADCE-4C2E-927C-C4448938FF43}';
  CLASS_TrackingRates: TGUID = '{E1C38C00-7651-4AFE-8D97-E4882F68E09F}';
  IID_IRate: TGUID = '{450DC717-1670-440A-885F-8D879E9F43E8}';
  CLASS_Rate: TGUID = '{E75ACD93-2D59-4D4B-8F78-92BF2D89984E}';
  IID_IAxisRates: TGUID = '{7A79735A-081C-4DB3-8D1E-8F757258EE8A}';
  CLASS_AxisRates: TGUID = '{1561C519-59C2-46D9-A01D-046DA5D91DCA}';

// *********************************************************************//
// Declaration of Enumerations defined in Type Library                    
// *********************************************************************//
// Constants for enum DriveRates
type
  DriveRates = TOleEnum;
const
  driveSidereal = $00000000;
  driveLunar = $00000001;
  driveSolar = $00000002;
  driveKing = $00000003;

// Constants for enum TelescopeAxes
type
  TelescopeAxes = TOleEnum;
const
  axisPrimary = $00000000;
  axisSecondary = $00000001;
  axisTertiary = $00000002;

// Constants for enum ShutterState
type
  ShutterState = TOleEnum;
const
  shutterOpen = $00000000;
  shutterClosed = $00000001;
  shutterOpening = $00000002;
  shutterClosing = $00000003;
  shutterError = $00000004;

type

// *********************************************************************//
// Forward declaration of types defined in TypeLibrary                    
// *********************************************************************//
  IFocuser = interface;
  IFocuserDisp = dispinterface;
  ITelescope = interface;
  ITelescopeDisp = dispinterface;
  IDome = interface;
  IDomeDisp = dispinterface;
  ITrackingRates = interface;
  ITrackingRatesDisp = dispinterface;
  IRate = interface;
  IRateDisp = dispinterface;
  IAxisRates = interface;
  IAxisRatesDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                       
// (NOTE: Here we map each CoClass to its Default Interface)              
// *********************************************************************//
  Focuser = IFocuser;
  Telescope = ITelescope;
  Dome = IDome;
  TrackingRates = ITrackingRates;
  Rate = IRate;
  AxisRates = IAxisRates;


// *********************************************************************//
// Interface: IFocuser
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {AE980ADC-B7B0-49AF-AC5B-DB60F4C763F1}
// *********************************************************************//
  IFocuser = interface(IDispatch)
    ['{AE980ADC-B7B0-49AF-AC5B-DB60F4C763F1}']
    function Get_Absolute: WordBool; safecall;
    function Get_IsMoving: WordBool; safecall;
    function Get_Link: WordBool; safecall;
    procedure Set_Link(Value: WordBool); safecall;
    function Get_MaxIncrement: Integer; safecall;
    function Get_MaxStep: Integer; safecall;
    function Get_Position: Integer; safecall;
    function Get_StepSize: Double; safecall;
    function Get_TempCompAvailable: WordBool; safecall;
    function Get_Temperature: Double; safecall;
    procedure Halt; safecall;
    procedure Move(Position: Integer); safecall;
    procedure SetupDialog; safecall;
    function Get_TempComp: WordBool; safecall;
    procedure Set_TempComp(Value: WordBool); safecall;
    function Get_Connected: WordBool; safecall;
    procedure Set_Connected(Value: WordBool); safecall;
    function Get_Description: WideString; safecall;
    function Get_DriverInfo: WideString; safecall;
    function Get_DriverVersion: WideString; safecall;
    function Get_InterfaceVersion: Smallint; safecall;
    function Get_Name: WideString; safecall;
    function Get_SupportedActions: OleVariant; safecall;
    property Absolute: WordBool read Get_Absolute;
    property IsMoving: WordBool read Get_IsMoving;
    property Link: WordBool read Get_Link write Set_Link;
    property MaxIncrement: Integer read Get_MaxIncrement;
    property MaxStep: Integer read Get_MaxStep;
    property Position: Integer read Get_Position;
    property StepSize: Double read Get_StepSize;
    property TempCompAvailable: WordBool read Get_TempCompAvailable;
    property Temperature: Double read Get_Temperature;
    property TempComp: WordBool read Get_TempComp write Set_TempComp;
    property Connected: WordBool read Get_Connected write Set_Connected;
    property Description: WideString read Get_Description;
    property DriverInfo: WideString read Get_DriverInfo;
    property DriverVersion: WideString read Get_DriverVersion;
    property InterfaceVersion: Smallint read Get_InterfaceVersion;
    property Name: WideString read Get_Name;
    property SupportedActions: OleVariant read Get_SupportedActions;
  end;

// *********************************************************************//
// DispIntf:  IFocuserDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {AE980ADC-B7B0-49AF-AC5B-DB60F4C763F1}
// *********************************************************************//
  IFocuserDisp = dispinterface
    ['{AE980ADC-B7B0-49AF-AC5B-DB60F4C763F1}']
    property Absolute: WordBool readonly dispid 1;
    property IsMoving: WordBool readonly dispid 6;
    property Link: WordBool dispid 7;
    property MaxIncrement: Integer readonly dispid 8;
    property MaxStep: Integer readonly dispid 9;
    property Position: Integer readonly dispid 10;
    property StepSize: Double readonly dispid 11;
    property TempCompAvailable: WordBool readonly dispid 13;
    property Temperature: Double readonly dispid 14;
    procedure Halt; dispid 15;
    procedure Move(Position: Integer); dispid 16;
    procedure SetupDialog; dispid 17;
    property TempComp: WordBool dispid 2;
    property Connected: WordBool dispid 3;
    property Description: WideString readonly dispid 4;
    property DriverInfo: WideString readonly dispid 5;
    property DriverVersion: WideString readonly dispid 12;
    property InterfaceVersion: Smallint readonly dispid 18;
    property Name: WideString readonly dispid 19;
    property SupportedActions: OleVariant readonly dispid 20;
  end;

// *********************************************************************//
// Interface: ITelescope
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {C77A4119-3BC1-4A1D-90B8-451B62631A21}
// *********************************************************************//
  ITelescope = interface(IDispatch)
    ['{C77A4119-3BC1-4A1D-90B8-451B62631A21}']
    procedure AbortSlew; safecall;
    procedure Park; safecall;
    function Get_Connected: WordBool; safecall;
    procedure Set_Connected(Value: WordBool); safecall;
    function Get_TargetDeclination: Double; safecall;
    procedure Set_TargetDeclination(Value: Double); safecall;
    function Get_TargetRightAscension: Double; safecall;
    procedure Set_TargetRightAscension(Value: Double); safecall;
    function Get_Altitude: Double; safecall;
    function Get_Azimuth: Double; safecall;
    function Get_Declination: Double; safecall;
    function Get_SiderealTime: Double; safecall;
    function Get_AtHome: WordBool; safecall;
    function Get_AtPark: WordBool; safecall;
    function Get_IsPulseGuiding: WordBool; safecall;
    function Get_SideOfPier: Integer; safecall;
    procedure Set_SideOfPier(Value: Integer); safecall;
    function Get_Slewing: WordBool; safecall;
    function Get_Tracking: WordBool; safecall;
    procedure Set_Tracking(Value: WordBool); safecall;
    function Get_UTCDate: TDateTime; safecall;
    procedure Set_UTCDate(Value: TDateTime); safecall;
    function Get_RightAscension: Double; safecall;
    function Get_CanFindHome: WordBool; safecall;
    function Get_CanPark: WordBool; safecall;
    function Get_CanPulseGuide: WordBool; safecall;
    function Get_CanSetDeclinationRate: WordBool; safecall;
    function Get_CanSetGuideRates: WordBool; safecall;
    function Get_CanSetPark: WordBool; safecall;
    function Get_CanSetPierSide: WordBool; safecall;
    function Get_CanSetRightAscensionRate: WordBool; safecall;
    function Get_CanSetTracking: WordBool; safecall;
    function Get_CanSlew: WordBool; safecall;
    function Get_CanSlewAltAz: WordBool; safecall;
    function Get_CanSlewAltAzAsync: WordBool; safecall;
    function Get_CanSlewAsync: WordBool; safecall;
    function Get_CanSync: WordBool; safecall;
    function Get_CanSyncAltAz: WordBool; safecall;
    function Get_CanUnpark: WordBool; safecall;
    function Get_DoesRefraction: WordBool; safecall;
    procedure Set_DoesRefraction(Value: WordBool); safecall;
    function Get_SiteElevation: Double; safecall;
    procedure Set_SiteElevation(Value: Double); safecall;
    function Get_SiteLatitude: Double; safecall;
    procedure Set_SiteLatitude(Value: Double); safecall;
    function Get_SiteLongitude: Double; safecall;
    procedure Set_SiteLongitude(Value: Double); safecall;
    function Get_ApertureArea: Double; safecall;
    function Get_ApertureDiameter: Double; safecall;
    function Get_Name: WideString; safecall;
    function Get_InterfaceVersion: Smallint; safecall;
    function Get_Description: WideString; safecall;
    function Get_DriverInfo: WideString; safecall;
    function Get_DriverVersion: WideString; safecall;
    function Get_AlignmentMode: Integer; safecall;
    function Get_DeclinationRate: Double; safecall;
    procedure Set_DeclinationRate(Value: Double); safecall;
    function Get_FocalLength: Double; safecall;
    function Get_GuideRateDeclination: Double; safecall;
    procedure Set_GuideRateDeclination(Value: Double); safecall;
    function Get_GuideRateRightAscension: Double; safecall;
    procedure Set_GuideRateRightAscension(Value: Double); safecall;
    function Get_RightAscensionRate: Double; safecall;
    procedure Set_RightAscensionRate(Value: Double); safecall;
    function Get_SlewSettleTime: Double; safecall;
    procedure Set_SlewSettleTime(Value: Double); safecall;
    function Get_TrackingRate: Integer; safecall;
    procedure Set_TrackingRate(Value: Integer); safecall;
    function Get_EquatorialSystem: Integer; safecall;
    function CanMoveAxis(Axis: TelescopeAxes): WordBool; safecall;
    function Get_TrackingRates: ITrackingRates; safecall;
    function AxisRates(Axis: TelescopeAxes): IAxisRates; safecall;
    function Get_SupportedActions: OleVariant; safecall;
    procedure SlewToTarget; safecall;
    procedure SetupDialog; safecall;
    procedure SlewToCoordinates(RightAscension: Double; Declination: Double); safecall;
    procedure SlewToCoordinatesAsync(RightAscension: Double; Declination: Double); safecall;
    procedure SlewToTargetAsync; safecall;
    procedure SyncToCoordinates(RightAscension: Double; Declination: Double); safecall;
    procedure SyncToTarget; safecall;
    property Connected: WordBool read Get_Connected write Set_Connected;
    property TargetDeclination: Double read Get_TargetDeclination write Set_TargetDeclination;
    property TargetRightAscension: Double read Get_TargetRightAscension write Set_TargetRightAscension;
    property Altitude: Double read Get_Altitude;
    property Azimuth: Double read Get_Azimuth;
    property Declination: Double read Get_Declination;
    property SiderealTime: Double read Get_SiderealTime;
    property AtHome: WordBool read Get_AtHome;
    property AtPark: WordBool read Get_AtPark;
    property IsPulseGuiding: WordBool read Get_IsPulseGuiding;
    property SideOfPier: Integer read Get_SideOfPier write Set_SideOfPier;
    property Slewing: WordBool read Get_Slewing;
    property Tracking: WordBool read Get_Tracking write Set_Tracking;
    property UTCDate: TDateTime read Get_UTCDate write Set_UTCDate;
    property RightAscension: Double read Get_RightAscension;
    property CanFindHome: WordBool read Get_CanFindHome;
    property CanPark: WordBool read Get_CanPark;
    property CanPulseGuide: WordBool read Get_CanPulseGuide;
    property CanSetDeclinationRate: WordBool read Get_CanSetDeclinationRate;
    property CanSetGuideRates: WordBool read Get_CanSetGuideRates;
    property CanSetPark: WordBool read Get_CanSetPark;
    property CanSetPierSide: WordBool read Get_CanSetPierSide;
    property CanSetRightAscensionRate: WordBool read Get_CanSetRightAscensionRate;
    property CanSetTracking: WordBool read Get_CanSetTracking;
    property CanSlew: WordBool read Get_CanSlew;
    property CanSlewAltAz: WordBool read Get_CanSlewAltAz;
    property CanSlewAltAzAsync: WordBool read Get_CanSlewAltAzAsync;
    property CanSlewAsync: WordBool read Get_CanSlewAsync;
    property CanSync: WordBool read Get_CanSync;
    property CanSyncAltAz: WordBool read Get_CanSyncAltAz;
    property CanUnpark: WordBool read Get_CanUnpark;
    property DoesRefraction: WordBool read Get_DoesRefraction write Set_DoesRefraction;
    property SiteElevation: Double read Get_SiteElevation write Set_SiteElevation;
    property SiteLatitude: Double read Get_SiteLatitude write Set_SiteLatitude;
    property SiteLongitude: Double read Get_SiteLongitude write Set_SiteLongitude;
    property ApertureArea: Double read Get_ApertureArea;
    property ApertureDiameter: Double read Get_ApertureDiameter;
    property Name: WideString read Get_Name;
    property InterfaceVersion: Smallint read Get_InterfaceVersion;
    property Description: WideString read Get_Description;
    property DriverInfo: WideString read Get_DriverInfo;
    property DriverVersion: WideString read Get_DriverVersion;
    property AlignmentMode: Integer read Get_AlignmentMode;
    property DeclinationRate: Double read Get_DeclinationRate write Set_DeclinationRate;
    property FocalLength: Double read Get_FocalLength;
    property GuideRateDeclination: Double read Get_GuideRateDeclination write Set_GuideRateDeclination;
    property GuideRateRightAscension: Double read Get_GuideRateRightAscension write Set_GuideRateRightAscension;
    property RightAscensionRate: Double read Get_RightAscensionRate write Set_RightAscensionRate;
    property SlewSettleTime: Double read Get_SlewSettleTime write Set_SlewSettleTime;
    property TrackingRate: Integer read Get_TrackingRate write Set_TrackingRate;
    property EquatorialSystem: Integer read Get_EquatorialSystem;
    property TrackingRates: ITrackingRates read Get_TrackingRates;
    property SupportedActions: OleVariant read Get_SupportedActions;
  end;

// *********************************************************************//
// DispIntf:  ITelescopeDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {C77A4119-3BC1-4A1D-90B8-451B62631A21}
// *********************************************************************//
  ITelescopeDisp = dispinterface
    ['{C77A4119-3BC1-4A1D-90B8-451B62631A21}']
    procedure AbortSlew; dispid 1;
    procedure Park; dispid 2;
    property Connected: WordBool dispid 3;
    property TargetDeclination: Double dispid 4;
    property TargetRightAscension: Double dispid 5;
    property Altitude: Double readonly dispid 6;
    property Azimuth: Double readonly dispid 7;
    property Declination: Double readonly dispid 8;
    property SiderealTime: Double readonly dispid 9;
    property AtHome: WordBool readonly dispid 10;
    property AtPark: WordBool readonly dispid 11;
    property IsPulseGuiding: WordBool readonly dispid 12;
    property SideOfPier: Integer dispid 13;
    property Slewing: WordBool readonly dispid 14;
    property Tracking: WordBool dispid 15;
    property UTCDate: TDateTime dispid 16;
    property RightAscension: Double readonly dispid 17;
    property CanFindHome: WordBool readonly dispid 18;
    property CanPark: WordBool readonly dispid 19;
    property CanPulseGuide: WordBool readonly dispid 20;
    property CanSetDeclinationRate: WordBool readonly dispid 21;
    property CanSetGuideRates: WordBool readonly dispid 22;
    property CanSetPark: WordBool readonly dispid 23;
    property CanSetPierSide: WordBool readonly dispid 24;
    property CanSetRightAscensionRate: WordBool readonly dispid 25;
    property CanSetTracking: WordBool readonly dispid 26;
    property CanSlew: WordBool readonly dispid 27;
    property CanSlewAltAz: WordBool readonly dispid 28;
    property CanSlewAltAzAsync: WordBool readonly dispid 29;
    property CanSlewAsync: WordBool readonly dispid 30;
    property CanSync: WordBool readonly dispid 31;
    property CanSyncAltAz: WordBool readonly dispid 32;
    property CanUnpark: WordBool readonly dispid 33;
    property DoesRefraction: WordBool dispid 34;
    property SiteElevation: Double dispid 35;
    property SiteLatitude: Double dispid 36;
    property SiteLongitude: Double dispid 37;
    property ApertureArea: Double readonly dispid 38;
    property ApertureDiameter: Double readonly dispid 39;
    property Name: WideString readonly dispid 40;
    property InterfaceVersion: Smallint readonly dispid 41;
    property Description: WideString readonly dispid 42;
    property DriverInfo: WideString readonly dispid 43;
    property DriverVersion: WideString readonly dispid 44;
    property AlignmentMode: Integer readonly dispid 45;
    property DeclinationRate: Double dispid 46;
    property FocalLength: Double readonly dispid 47;
    property GuideRateDeclination: Double dispid 48;
    property GuideRateRightAscension: Double dispid 49;
    property RightAscensionRate: Double dispid 50;
    property SlewSettleTime: Double dispid 51;
    property TrackingRate: Integer dispid 52;
    property EquatorialSystem: Integer readonly dispid 53;
    function CanMoveAxis(Axis: TelescopeAxes): WordBool; dispid 403;
    property TrackingRates: ITrackingRates readonly dispid 54;
    function AxisRates(Axis: TelescopeAxes): IAxisRates; dispid 57;
    property SupportedActions: OleVariant readonly dispid 55;
    procedure SlewToTarget; dispid 59;
    procedure SetupDialog; dispid 56;
    procedure SlewToCoordinates(RightAscension: Double; Declination: Double); dispid 58;
    procedure SlewToCoordinatesAsync(RightAscension: Double; Declination: Double); dispid 60;
    procedure SlewToTargetAsync; dispid 62;
    procedure SyncToCoordinates(RightAscension: Double; Declination: Double); dispid 63;
    procedure SyncToTarget; dispid 64;
  end;

// *********************************************************************//
// Interface: IDome
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {76FD6FEF-240A-49BA-A0AC-D0F4859A2132}
// *********************************************************************//
  IDome = interface(IDispatch)
    ['{76FD6FEF-240A-49BA-A0AC-D0F4859A2132}']
    procedure AbortSlew; safecall;
    procedure CloseShutter; safecall;
    procedure FindHome; safecall;
    procedure OpenShutter; safecall;
    procedure Park; safecall;
    procedure SetupDialog; safecall;
    procedure SlewToAzimuth(Azimuth: Double); safecall;
    procedure SyncToAzimuth(Azimuth: Double); safecall;
    function Get_AtHome: WordBool; safecall;
    function Get_AtPark: WordBool; safecall;
    function Get_Azimuth: Double; safecall;
    function Get_CanFindHome: WordBool; safecall;
    function Get_CanPark: WordBool; safecall;
    function Get_CanSetAltitude: WordBool; safecall;
    function Get_CanSetAzimuth: WordBool; safecall;
    function Get_CanSetPark: WordBool; safecall;
    function Get_CanSetShutter: WordBool; safecall;
    function Get_CanSlave: WordBool; safecall;
    function Get_CanSyncAzimuth: WordBool; safecall;
    function Get_Connected: WordBool; safecall;
    procedure Set_Connected(Value: WordBool); safecall;
    function Get_Description: WideString; safecall;
    function Get_DriverInfo: WideString; safecall;
    function Get_DriverVersion: WideString; safecall;
    function Get_InterfaceVersion: Smallint; safecall;
    function Get_Name: WideString; safecall;
    function Get_SupportedActions: OleVariant; safecall;
    function Get_Slewing: WordBool; safecall;
    function Get_Slaved: WordBool; safecall;
    procedure Set_Slaved(Value: WordBool); safecall;
    function Get_ShutterStatus: ShutterState; safecall;
    property AtHome: WordBool read Get_AtHome;
    property AtPark: WordBool read Get_AtPark;
    property Azimuth: Double read Get_Azimuth;
    property CanFindHome: WordBool read Get_CanFindHome;
    property CanPark: WordBool read Get_CanPark;
    property CanSetAltitude: WordBool read Get_CanSetAltitude;
    property CanSetAzimuth: WordBool read Get_CanSetAzimuth;
    property CanSetPark: WordBool read Get_CanSetPark;
    property CanSetShutter: WordBool read Get_CanSetShutter;
    property CanSlave: WordBool read Get_CanSlave;
    property CanSyncAzimuth: WordBool read Get_CanSyncAzimuth;
    property Connected: WordBool read Get_Connected write Set_Connected;
    property Description: WideString read Get_Description;
    property DriverInfo: WideString read Get_DriverInfo;
    property DriverVersion: WideString read Get_DriverVersion;
    property InterfaceVersion: Smallint read Get_InterfaceVersion;
    property Name: WideString read Get_Name;
    property SupportedActions: OleVariant read Get_SupportedActions;
    property Slewing: WordBool read Get_Slewing;
    property Slaved: WordBool read Get_Slaved write Set_Slaved;
    property ShutterStatus: ShutterState read Get_ShutterStatus;
  end;

// *********************************************************************//
// DispIntf:  IDomeDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {76FD6FEF-240A-49BA-A0AC-D0F4859A2132}
// *********************************************************************//
  IDomeDisp = dispinterface
    ['{76FD6FEF-240A-49BA-A0AC-D0F4859A2132}']
    procedure AbortSlew; dispid 1;
    procedure CloseShutter; dispid 2;
    procedure FindHome; dispid 3;
    procedure OpenShutter; dispid 4;
    procedure Park; dispid 5;
    procedure SetupDialog; dispid 6;
    procedure SlewToAzimuth(Azimuth: Double); dispid 7;
    procedure SyncToAzimuth(Azimuth: Double); dispid 8;
    property AtHome: WordBool readonly dispid 9;
    property AtPark: WordBool readonly dispid 10;
    property Azimuth: Double readonly dispid 11;
    property CanFindHome: WordBool readonly dispid 12;
    property CanPark: WordBool readonly dispid 13;
    property CanSetAltitude: WordBool readonly dispid 14;
    property CanSetAzimuth: WordBool readonly dispid 15;
    property CanSetPark: WordBool readonly dispid 16;
    property CanSetShutter: WordBool readonly dispid 17;
    property CanSlave: WordBool readonly dispid 18;
    property CanSyncAzimuth: WordBool readonly dispid 19;
    property Connected: WordBool dispid 21;
    property Description: WideString readonly dispid 22;
    property DriverInfo: WideString readonly dispid 23;
    property DriverVersion: WideString readonly dispid 24;
    property InterfaceVersion: Smallint readonly dispid 25;
    property Name: WideString readonly dispid 26;
    property SupportedActions: OleVariant readonly dispid 27;
    property Slewing: WordBool readonly dispid 28;
    property Slaved: WordBool dispid 29;
    property ShutterStatus: ShutterState readonly dispid 20;
  end;

// *********************************************************************//
// Interface: ITrackingRates
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {E5D79277-ADCE-4C2E-927C-C4448938FF43}
// *********************************************************************//
  ITrackingRates = interface(IDispatch)
    ['{E5D79277-ADCE-4C2E-927C-C4448938FF43}']
    function Get_Count: Integer; safecall;
    function Get_Item(Index: Integer): DriveRates; safecall;
    function Get_NewEnum: IEnumVARIANT; safecall;
    property Count: Integer read Get_Count;
    property Item[Index: Integer]: DriveRates read Get_Item; default;
    property NewEnum: IEnumVARIANT read Get_NewEnum;
  end;

// *********************************************************************//
// DispIntf:  ITrackingRatesDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {E5D79277-ADCE-4C2E-927C-C4448938FF43}
// *********************************************************************//
  ITrackingRatesDisp = dispinterface
    ['{E5D79277-ADCE-4C2E-927C-C4448938FF43}']
    property Count: Integer readonly dispid 101;
    property Item[Index: Integer]: DriveRates readonly dispid 0; default;
    property NewEnum: IEnumVARIANT readonly dispid -4;
  end;

// *********************************************************************//
// Interface: IRate
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {450DC717-1670-440A-885F-8D879E9F43E8}
// *********************************************************************//
  IRate = interface(IDispatch)
    ['{450DC717-1670-440A-885F-8D879E9F43E8}']
    function Get_Maximum: Double; safecall;
    procedure Set_Maximum(Value: Double); safecall;
    function Get_Minimum: Double; safecall;
    procedure Set_Minimum(Value: Double); safecall;
    property Maximum: Double read Get_Maximum write Set_Maximum;
    property Minimum: Double read Get_Minimum write Set_Minimum;
  end;

// *********************************************************************//
// DispIntf:  IRateDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {450DC717-1670-440A-885F-8D879E9F43E8}
// *********************************************************************//
  IRateDisp = dispinterface
    ['{450DC717-1670-440A-885F-8D879E9F43E8}']
    property Maximum: Double dispid 1;
    property Minimum: Double dispid 2;
  end;

// *********************************************************************//
// Interface: IAxisRates
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {7A79735A-081C-4DB3-8D1E-8F757258EE8A}
// *********************************************************************//
  IAxisRates = interface(IDispatch)
    ['{7A79735A-081C-4DB3-8D1E-8F757258EE8A}']
    function Get_Count: Integer; safecall;
    function Get_Item(Index: Integer): IRate; safecall;
    function Get_NewEnum: IEnumVARIANT; safecall;
    property Count: Integer read Get_Count;
    property Item[Index: Integer]: IRate read Get_Item;
    property NewEnum: IEnumVARIANT read Get_NewEnum;
  end;

// *********************************************************************//
// DispIntf:  IAxisRatesDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {7A79735A-081C-4DB3-8D1E-8F757258EE8A}
// *********************************************************************//
  IAxisRatesDisp = dispinterface
    ['{7A79735A-081C-4DB3-8D1E-8F757258EE8A}']
    property Count: Integer readonly dispid 1;
    property Item[Index: Integer]: IRate readonly dispid 2;
    property NewEnum: IEnumVARIANT readonly dispid -4;
  end;

// *********************************************************************//
// The Class CoFocuser provides a Create and CreateRemote method to          
// create instances of the default interface IFocuser exposed by              
// the CoClass Focuser. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoFocuser = class
    class function Create: IFocuser;
    class function CreateRemote(const MachineName: string): IFocuser;
  end;

// *********************************************************************//
// The Class CoTelescope provides a Create and CreateRemote method to          
// create instances of the default interface ITelescope exposed by              
// the CoClass Telescope. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoTelescope = class
    class function Create: ITelescope;
    class function CreateRemote(const MachineName: string): ITelescope;
  end;

// *********************************************************************//
// The Class CoDome provides a Create and CreateRemote method to          
// create instances of the default interface IDome exposed by              
// the CoClass Dome. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoDome = class
    class function Create: IDome;
    class function CreateRemote(const MachineName: string): IDome;
  end;

// *********************************************************************//
// The Class CoTrackingRates provides a Create and CreateRemote method to          
// create instances of the default interface ITrackingRates exposed by              
// the CoClass TrackingRates. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoTrackingRates = class
    class function Create: ITrackingRates;
    class function CreateRemote(const MachineName: string): ITrackingRates;
  end;

// *********************************************************************//
// The Class CoRate provides a Create and CreateRemote method to          
// create instances of the default interface IRate exposed by              
// the CoClass Rate. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoRate = class
    class function Create: IRate;
    class function CreateRemote(const MachineName: string): IRate;
  end;

// *********************************************************************//
// The Class CoAxisRates provides a Create and CreateRemote method to          
// create instances of the default interface IAxisRates exposed by              
// the CoClass AxisRates. The functions are intended to be used by             
// clients wishing to automate the CoClass objects exposed by the         
// server of this typelibrary.                                            
// *********************************************************************//
  CoAxisRates = class
    class function Create: IAxisRates;
    class function CreateRemote(const MachineName: string): IAxisRates;
  end;

implementation

uses ComObj;

class function CoFocuser.Create: IFocuser;
begin
  Result := CreateComObject(CLASS_Focuser) as IFocuser;
end;

class function CoFocuser.CreateRemote(const MachineName: string): IFocuser;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_Focuser) as IFocuser;
end;

class function CoTelescope.Create: ITelescope;
begin
  Result := CreateComObject(CLASS_Telescope) as ITelescope;
end;

class function CoTelescope.CreateRemote(const MachineName: string): ITelescope;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_Telescope) as ITelescope;
end;

class function CoDome.Create: IDome;
begin
  Result := CreateComObject(CLASS_Dome) as IDome;
end;

class function CoDome.CreateRemote(const MachineName: string): IDome;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_Dome) as IDome;
end;

class function CoTrackingRates.Create: ITrackingRates;
begin
  Result := CreateComObject(CLASS_TrackingRates) as ITrackingRates;
end;

class function CoTrackingRates.CreateRemote(const MachineName: string): ITrackingRates;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_TrackingRates) as ITrackingRates;
end;

class function CoRate.Create: IRate;
begin
  Result := CreateComObject(CLASS_Rate) as IRate;
end;

class function CoRate.CreateRemote(const MachineName: string): IRate;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_Rate) as IRate;
end;

class function CoAxisRates.Create: IAxisRates;
begin
  Result := CreateComObject(CLASS_AxisRates) as IAxisRates;
end;

class function CoAxisRates.CreateRemote(const MachineName: string): IAxisRates;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_AxisRates) as IAxisRates;
end;

end.
