unit EBXMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ScrollBarWindow, ScrollEditor, ExtCtrls,
  Menus, Reopen,DSupport, ImgList, Buttons,ClipBrd, Progmon, Onoffbox,
  subtimer, ConsoleWindow, IntVector, CodeEditor, Autobttn,BitmapLib,
  ChmHelper,WinSupport, SizeAdjust, CommPort,HelpIntfs,StdActns, Graphbox,
  ShellCtrls,Vector, Scrllwnd, FancyButton,Math, SpinButtons, Realspin,
  VCLLibrary;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    SaveMnu: TMenuItem;
    SaveAsMnu: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    ReopenMenu1: TReopenMenu;
    N2: TMenuItem;
    Reopen1: TMenuItem;
    ImageList1: TImageList;
    Edit1: TMenuItem;
    Paste1: TMenuItem;
    Copy1: TMenuItem;
    Cut1: TMenuItem;
    N5: TMenuItem;
    Repeatcommand1: TMenuItem;
    Undo1: TMenuItem;
    SelectAll1: TMenuItem;
    Delete1: TMenuItem;
    N3: TMenuItem;
    ProgramMonitor1: TProgramMonitor;
    Panel2: TPanel;
    Label4: TLabel;
    Splitter2: TSplitter;
    Options1: TMenuItem;
    ExternalEditor1: TMenuItem;
    Find1: TMenuItem;
    N6: TMenuItem;
    OpenIncludeFile1: TMenuItem;
    New1: TMenuItem;
    View1: TMenuItem;
    DebugDialog1: TMenuItem;
    StackDump1: TMenuItem;
    DebugConsole1: TMenuItem;
    CHMHelper1: TCHMHelper;
    Help1: TMenuItem;
    Help2: TMenuItem;
    Configuration1: TMenuItem;
    ools1: TMenuItem;
    I2LDisasembly1: TMenuItem;
    Run1: TMenuItem;
    Compile1: TMenuItem;
    Run2: TMenuItem;
    BuildStandAloneProgram1: TMenuItem;
    DOSPrompt1: TMenuItem;
    N7: TMenuItem;
    RunParameter1: TMenuItem;
    PCLineNumberList1: TMenuItem;
    IntrinsicCodeDeclaration1: TMenuItem;
    Profiler1: TMenuItem;
    WindowsExplorer1: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    InternalConstants1: TMenuItem;
    FileProperties1: TMenuItem;
    CommPort1: TCommPort;
    N10: TMenuItem;
    About1: TMenuItem;
    N11: TMenuItem;
    InsertInstrinicDeclaration1: TMenuItem;
    N12: TMenuItem;
    MessagePopup: TPopupMenu;
    MessageCopyMnu: TMenuItem;
    MessageCopyAllMnu: TMenuItem;
    N13: TMenuItem;
    VGAPaleltte1: TMenuItem;
    ProgramStructure1: TMenuItem;
    TabsPopup: TPopupMenu;
    CloseTabMnu: TMenuItem;
    IDEPageControl: TPageControl;
    IDE: TTabSheet;
    ConsolePage: TTabSheet;
    Panel3: TPanel;
    Label3: TLabel;
    RunClearChk: TCheckBox;
    RunOnOff: TOnOffBox;
    Panel4: TPanel;
    RunTimer: TSubTimer;
    StopBtn: TBitBtn;
    Panel10: TPanel;
    Panel13: TPanel;
    MouseDis: TLabel;
    Panel11: TPanel;
    CharPosDis: TLabel;
    Panel1: TPanel;
    ColorDis: TLabel;
    ConsoleWnd: TConsoleWindow;
    ToolBar: TPanel;
    CompileBtn: TButton;
    RunBtn: TButton;
    Panel7: TPanel;
    CompileTimer: TSubTimer;
    StandAloneBtn: TButton;
    EditorPageControl: TPageControl;
    MainPage: TTabSheet;
    SourceEdit: TCodeEditor;
    NewInclude1: TMenuItem;
    SaveAll1: TMenuItem;
    Search1: TMenuItem;
    SearchAll1: TMenuItem;
    ClearCompilerResults1: TMenuItem;
    ClearSearchResults1: TMenuItem;
    ReopenIncludeMnu: TMenuItem;
    ReopenMenu2: TReopenMenu;
    MessageView: TListBox;
    OpenInIncludeEditor1: TMenuItem;
    OpenInSourceEditor1: TMenuItem;
    Run2Btn: TBitBtn;
    PauseBtn: TSpeedButton;
    Console1: TMenuItem;
    CopyText1: TMenuItem;
    CopyImage1: TMenuItem;
    InstrinsicState1: TMenuItem;
    N4: TMenuItem;
    ExplorerMnu: TMenuItem;
    OpenDOSPrompt1: TMenuItem;
    ZoomPanel: TPanel;
    ZoomOutBtn: TAutoButton;
    ZoomInBtn: TAutoButton;
    ResetZoomBtn: TAutoButton;
    VirtualMouseDis: TLabel;
    Panel5: TPanel;
    SymbolDump1: TMenuItem;
    Structs1: TMenuItem;
    procedure RunBtnClick(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure SaveAsMnuClick(Sender: TObject);
    procedure SaveMnuClick(Sender: TObject);
    procedure ReopenMenu1MenuClick(Sender: TObject; Path: String);
    procedure CompileBtnClick(Sender: TObject);
    procedure MessageViewDblClick(Sender: TObject);
    procedure SelectAll1Click(Sender: TObject);
    procedure Undo1Click(Sender: TObject);
    procedure Repeatcommand1Click(Sender: TObject);
    procedure EditorPageControlChange(Sender: TObject);
    procedure StopBtnClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure ConsoleWndControlC(Sender: TObject);
    procedure ConsoleWndMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ExternalEditor1Click(Sender: TObject);
    procedure SourceEditFileChange(Sender: TObject);
    procedure OpenIncludeFile1Click(Sender: TObject);
    procedure FileAtCursorClick(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Find1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure DebugDialog1Click(Sender: TObject);
    procedure StackDump1Click(Sender: TObject);
    procedure DebugConsole1Click(Sender: TObject);
    procedure Help2Click(Sender: TObject);
    procedure StandAloneBtnClick(Sender: TObject);
    procedure ShowIntrinsicList1Click(Sender: TObject);
    procedure MainPageMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Configuration1Click(Sender: TObject);
    procedure I2LDisasembly1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure DOSPrompt1Click(Sender: TObject);
    procedure RunParameter1Click(Sender: TObject);
    procedure PCLineNumberList1Click(Sender: TObject);
    procedure IntrinsicCodeDeclaration1Click(Sender: TObject);
    procedure Profiler1Click(Sender: TObject);
    procedure WindowsExplorer1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure InternalConstants1Click(Sender: TObject);
    procedure FileProperties1Click(Sender: TObject);
    procedure PauseBtnClick(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure SourceEditMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure IncludeEditMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure InsertInstrinicDeclaration1Click(Sender: TObject);
    procedure MessageCopyAllMnuClick(Sender: TObject);
    procedure MessageCopyMnuClick(Sender: TObject);
    procedure VGAPaleltte1Click(Sender: TObject);
    procedure ProgramStructure1Click(Sender: TObject);
    procedure TabsPopupPopup(Sender: TObject);
    procedure CloseTabMnuClick(Sender: TObject);
    procedure NewInclude1Click(Sender: TObject);
    procedure EditorPageControlMouseDown(Sender: TObject;
      Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure SearchAll1Click(Sender: TObject);
    procedure ClearCompilerResults1Click(Sender: TObject);
    procedure ClearSearchResults1Click(Sender: TObject);
    procedure ReopenMenu2MenuClick(Sender: TObject; Path: String);
    procedure EditorPageControlDragOver(Sender, Source: TObject; X,
      Y: Integer; State: TDragState; var Accept: Boolean);
    procedure EditorPageControlDragDrop(Sender, Source: TObject; X,
      Y: Integer);
    procedure IDEPageControlChange(Sender: TObject);
    procedure MessageViewDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure OpenInIncludeEditor1Click(Sender: TObject);
    procedure OpenInSourceEditor1Click(Sender: TObject);
    procedure SaveAll1Click(Sender: TObject);
    procedure CopyText1Click(Sender: TObject);
    procedure CopyImage1Click(Sender: TObject);
    procedure InstrinsicState1Click(Sender: TObject);
    procedure ExplorerMnuClick(Sender: TObject);
    procedure OpenDOSPrompt1Click(Sender: TObject);
    procedure ResetZoomBtnClick(Sender: TObject);
    procedure ZoomInBtnClick(Sender: TObject);
    procedure ZoomOutBtnClick(Sender: TObject);
    procedure ConsoleWndScaleChange(Sender: TObject);
    procedure SymbolDump1Click(Sender: TObject);
    procedure Structs1Click(Sender: TObject);
    procedure ConsoleWndMouseWheelDown(Sender: TObject; Shift: TShiftState;
      MousePos: TPoint; var Handled: Boolean);
    procedure ConsoleWndMouseWheelUp(Sender: TObject; Shift: TShiftState;
      MousePos: TPoint; var Handled: Boolean);
  private
  public
    procedure HandleIncludeFileChange(Sender: TObject);
    procedure LookupKeyword(Sender: TObject);
    procedure FindDeclaration(Sender: TObject);    { Private declarations }
    { Public declarations }
  end;

var Form1: TForm1;

var GlobalHinter: THinter;

implementation

uses XPLCompiler, I2LGlobal, I2LInterp, IDECompileMessages, I2LDisasm,
  I2LDataTypes, I2LLoader, IDEStackDump, IDEDebugInfo, IDEDebugger,
  IDEIntrinsicList, IDEConfig, IDEI2LDisasm, IDERunParams, IDELineNumbers,
  I2lIntrinsics, IDECodeDec, IDEGlobal, IDEVariables, IDEProfiler,
  IDEConstants, XPLDataTypes, IDEFileProperties, IDEAbout, IDEVGAPalette,
  IDEHints, IDEEditors, IDEFindAll, IDEIntrinStateDlg, XRTGlobal,
  IDESymbolDump, IDEStruncts;

{$R *.dfm}




var FirstActivate: boolean;


{---------------- Utility Routines -------------------------------------------}



function GetIntrinsicsDeclaration: string;
begin
Result:='inc	C:\CXPL\EXPLCodes.xpl;	\intrinsic declarations'+CRLF_Char+CRLF_Char;
end;


function GetXPLPrototype: string;
begin
Result:=GetIntrinsicsDeclaration;
Result:=Result+'begin'+CRLF_Char;
Result:=Result+'end;'+CRLF_Char;
end;



{--------------- Routines to Handle Source Files -----------------------------}



procedure TForm1.SourceEditFileChange(Sender: TObject);
var Filename: string;
begin
ShowProgramTitle;
Filename:=Form1.SourceEdit.CurrentFile;
if Filename<>'' then
	begin
	Form1.ReopenMenu1.AddMenuItem(Filename);
	Form1.ReopenMenu1.SaveSubMenu;
	end;
ChangeDefaultDir(Filename);
end;




procedure TForm1.SaveAsMnuClick(Sender: TObject);
var Editor: TCodeEditor;
begin
Editor:=GetActiveEditor;
Editor.SaveAsHandler(Sender);
end;


procedure TForm1.SaveMnuClick(Sender: TObject);
var Editor: TCodeEditor;
begin
Editor:=GetActiveEditor;
Editor.SaveHandler(Sender);
end;



procedure OpenMainSource(Filename: string);
begin
with Form1 do
 begin
 if not SourceEdit.OpenFile(Filename) then exit;
 VariableDlg.Close;
 ClearSymbolDump;
 Form1.IDEPageControl.ActivePageIndex:=0;
 Form1.EditorPageControl.ActivePageIndex:=0;
 EditorPageControlChange(Form1);
 ChangeDefaultDir(SourceEdit.CurrentFile);
 end;
end;



procedure TForm1.ReopenMenu1MenuClick(Sender: TObject; Path: String);
begin
OpenMainSource(Path);
end;




procedure TForm1.Open1Click(Sender: TObject);
begin
SourceEdit.OpenDialog.InitialDir:=GetDefaultDir;
SourceEdit.OpenHandler(Sender);
ClearSymbolDump;
ChangeDefaultDir(SourceEdit.CurrentFile);
 Form1.IDEPageControl.ActivePageIndex:=0;
Form1.EditorPageControl.ActivePageIndex:=0;
EditorPageControlChange(Sender);
end;



procedure TForm1.FileProperties1Click(Sender: TObject);
var Editor: TCodeEditor;
begin
if Sender is TPopUpMenu then Editor:=TCodeEditor(TMenuItem(Sender).Owner)
else Editor:=GetActiveEditor;
DisplayFileProperties(Editor);
end;

{-------------- Delphi Events -------------------------------------------------}



procedure TForm1.FormActivate(Sender: TObject);
begin
if FirstActivate then
	begin
	if FileExists(ParamStr(1)) then OpenMainSource(ParamStr(1));
	if SourceEdit.Editor.CanFocus then SourceEdit.Editor.SetFocus;
	end;
FirstActivate:=False;
end;



procedure TForm1.LookupKeyword(Sender: TObject);
var S: string;
var Editor: TScrollEditor;
begin
Editor:=TCodeEditor(TPopupMenu(Sender).Owner).Editor;
S:=Editor.GetNearestWord;
CHMHelper1.LookupKeyword(S);
end;





procedure TForm1.FormCreate(Sender: TObject);
begin
FirstActivate:=True;
GlobalHinter:=THinter.Create(nil);
ConsoleWnd.VGABox.VGAMode:=0;
ConsoleWnd.VGABox.ShowCursor:=False;


{The console window doesn't save (stream) the
color value - this should be fixed}
ConsoleWnd.BorderColor:=RGB(60,60,60);
Form1.ReopenMenu1.INIFile:=IDEIniFilename;
Form1.ReopenMenu2.INIFile:=IDEIniFilename;

Form1.ReopenMenu1.LoadSubMenu;
Form1.ReopenMenu2.LoadSubMenu;
SourceEdit.IniFile:=SourceIni;
SourceEdit.Initialize;

Form1.IDEPageControl.ActivePageIndex:=0;
Form1.EditorPageControl.ActivePageIndex:=0;
SourceEdit.Editor.IsModified:=False;
Self.ConsolePage.DoubleBuffered:=True;
SetupEditorDialogs(SourceEdit);

SetupEditMenus(SourceEdit);

SetHelpfilePath;
Form1.Caption:=ProgramTitle;
end;



procedure TForm1.FormDestroy(Sender: TObject);
begin
GlobalHinter.Free;
Form1.ReopenMenu1.SaveSubMenu;
Form1.ReopenMenu2.SaveSubMenu;
SourceEdit.Finalize;
FinalizeIncludeFiles;
end;



{------------ Compile and Execution events ------------------------------------}


procedure TForm1.MessageViewDblClick(Sender: TObject);
begin
HandleMessageSelect;
end;




procedure HandleRuntimeError(E: TObject; Offset: integer);
var EMsg: string;
var B: boolean;
var Info: TMessageInfo;
begin
if E is Exception then EMsg:=Exception(E).Message else EMsg:='';
Info.Info:=PCToSourceData(LastPC,Offset).Info;
Info.Info.Column:=0;
Info.Description:=EMsg;
Info.ErrorNumber:=0;
Info.MessageType:=xmRunTime;
IDEMessageHandler(Info,B);
MessagePostCompile;
end;


function HandleProgramRunning: boolean;
var MR: integer;
begin
Result:=Form1.RunOnOff.BoxOn;
if Result then
	begin
	MR:=MessageDlg('A Program is already running.'+CRLF_Char+
		   'Would you like to Terminate?.', mtConfirmation, [mbYes,mbNo], 0);
	if MR=mrNo then exit;
	Form1.StopBtnClick(Form1);
	Application.ProcessMessages;
	Result:=False;
	end;
end;



procedure TForm1.RunBtnClick(Sender: TObject);
var Code: string;
begin
if InDebugMode then exit;
if HandleProgramRunning then exit;
PauseBtn.Down:=False;
InitializeMessages;
try
if HandleIncludeSave=mrCancel then exit;
ChangeDefaultDir(SourceEdit.CurrentFile);
DoAutoCompile(SourceEdit.Editor.Text,Code,IDEMessageHandler);
finally MessagePostCompile; end;
if Code='' then exit;
I2LDisasmDlg.I2LMemo.Clear;
I2LDisasmDlg.I2LMemo.Lines.Text:=Code;
if Form1.RunClearChk.Checked then
	begin
	Form1.ConsoleWnd.VGABox.Color:=clBlack;
	Form1.ConsoleWnd.VGABox.Clear;
	end;
try
Form1.ConsoleWnd.RefreshTimer.Enabled:=True;
ShowRunState(True);
Form1.RunTimer.Reset;
Form1.RunTimer.Start;
HideHints;
Form1.IDEPageControl.ActivePageIndex:=1;
if Form1.ConsoleWnd.CanFocus then Form1.ConsoleWnd.SetFocus;
RunFromDos:=False;
try
RunProgram(Code,ConsoleWnd);
except
 HandleRuntimeError(AcquireExceptionObject,ProgramStore.ProgData.BaseAddress);
 end;

Form1.ConsoleWnd.VGABox.Repaint;
finally
 Form1.ConsoleWnd.RefreshTimer.Enabled:=False;
 Form1.RunTimer.Stop;
 Form1.RunTimer.Display;
 ShowRunState(False);
 PauseBtn.Down:=False;
 end;
end;



procedure FocusActiveControl;
var Editor: TScrollEditor;
begin
with Form1 do
 begin
 if IDEPageControl.ActivePageIndex = 0 then
	begin
        Editor:=SourceEdit.Editor;
        if EditorPageControl.ActivePageIndex<>0 then
         if EditorPageControl.ActivePage is TEditorTabsheet then
	 	Editor:=TEditorTabsheet(EditorPageControl.ActivePage).CodeEditor.Editor;
	if Editor.CanFocus then Editor.SetFocus;
        end
 else
	begin
        if ConsoleWnd.CanFocus then ConsoleWnd.SetFocus;
	end;
 end;
end;




procedure TForm1.CompileBtnClick(Sender: TObject);
var I2LHexBinary: string;
var I2LBinary: TI2LProgram;
begin
if InDebugMode then exit;
InitializeMessages;
CompileTimer.Reset;
CompileTimer.Start;
try
if HandleIncludeSave=mrCancel then exit;
ChangeDefaultDir(SourceEdit.CurrentFile);
DoAutoCompile(SourceEdit.Editor.Text,I2LHexBinary,IDEMessageHandler);
finally
 CompileTimer.Stop;
 CompileTimer.Display;
 MessagePostCompile;
 end;
LoadI2LCode(I2LHexBinary,I2LBinary);
FocusActiveControl;

end;


{-------------- Editor Events --------------------------------------------}


procedure TForm1.SelectAll1Click(Sender: TObject);
begin
GetActiveEditor.Editor.SelectAll;
end;


procedure TForm1.Undo1Click(Sender: TObject);
begin
GetActiveEditor.Editor.Undo;
end;




procedure TForm1.Repeatcommand1Click(Sender: TObject);
begin
GetActiveEditor.Editor.Redo;
end;



procedure TForm1.Cut1Click(Sender: TObject);
begin
GetActiveEditor.Editor.CutToClipboard;
end;



procedure TForm1.Copy1Click(Sender: TObject);
begin
GetActiveEditor.Editor.CopyToClipBoard;
end;

procedure TForm1.Paste1Click(Sender: TObject);
begin
GetActiveEditor.Editor.PasteFromClipboard;
end;

procedure TForm1.Delete1Click(Sender: TObject);
begin
GetActiveEditor.Editor.DeleteHighlighted;
end;

procedure TForm1.InsertInstrinicDeclaration1Click(Sender: TObject);
var Editor: TScrollEditor;
begin
Editor:=GetActiveEditor.Editor;
Editor.MoveToLinear(0);
Editor.InsertString(GetIntrinsicsDeclaration);
end;


procedure TForm1.EditorPageControlChange(Sender: TObject);
begin
FocusActiveControl;
end;



procedure TForm1.StopBtnClick(Sender: TObject);
begin
KillProgram;
Self.ConsoleWnd.InjectKeystroke(CtrlC);
end;



procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
CanClose:=HandleSaveAll<>mrCancel;
if CanClose then KillProgram;
end;

procedure TForm1.ConsoleWndControlC(Sender: TObject);
begin
if not TrapControlC then KillProgram;
end;

procedure TForm1.ConsoleWndMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
var P,PV: TPoint;
var C: TColor;
begin
P:=Point(X,Y);
MouseDis.Caption:=PointToString(P);
PV:=ConsoleWnd.MouseState.Pos;
VirtualMouseDis.Caption:=PointToString(PV);
C:=ConsoleWnd.VGABox.Canvas.Pixels[PV.X,PV.Y];
ColorDis.Caption:=ColorToRGBString(C);
P:=IntVector.IntVectorDivide(PV,ConsoleWnd.VGABox.CellSize);
CharPosDis.Caption:=PointToString(P);
end;


procedure TForm1.ExternalEditor1Click(Sender: TObject);
var R: word;
var S: string;
var MR: integer;
var OldDate,NewDate,Line: integer;
var Scroll: TPoint;
begin
if SourceEdit.CurrentFile='' then
	begin
        MessageDlg('No File To Edit.', mtWarning, [mbOK], 0);
	exit;
	end;
if SourceEdit.Editor.IsModified then
	begin
	R:=MessageDlg('Save Source Changes?', mtConfirmation, [mbYes, mbNo, mbCancel], 0);
	if R=mrYes then SaveMnuClick(Self);
	if R=mrCancel then exit;
	end;

if EditorPath='' then MessageDlg('Editor Not Configured.', mtWarning, [mbOK], 0)
else
	begin
	Line:=SourceEdit.Editor.WorkingCursor.Position.Y;
	OldDate:=FileAge(SourceEdit.CurrentFile);
	S:='"'+EditorPath+'" "'+SourceEdit.CurrentFile+'" /# '+IntToStr(Line+1);
	ProgramMonitor1.RunProgramAndWait(S);
	NewDate:=FileAge(SourceEdit.CurrentFile);
	if OldDate<>NewDate then
		begin
		MR:=MessageDlg('File has changed.'+CRLF_Char+
		   		'Would you like to Reload?.',
		   		mtConfirmation, [mbYes,mbNo], 0);
		if MR=mrNo then exit;
		Line:=SourceEdit.Editor.WorkingCursor.Position.Y;
		Scroll:=SourceEdit.Editor.ScrollOffset;
		SourceEdit.LoadSourceFile(SourceEdit.CurrentFile);
                SourceEdit.Editor.WorkingCursor.Position.Y:=Line;
                SourceEdit.Editor.SetScrollPosition(Scroll);
		SourceEdit.Editor.OptimizeScrolling;
		end;
	end;
end;

{------------------------------------------------------------------------------}


procedure TForm1.OpenIncludeFile1Click(Sender: TObject);
begin
if SourceEdit.OpenDialog.Execute then
	begin
	FindOrCreateEditor(SourceEdit.OpenDialog.Filename);
	Form1.ReopenMenu2.AddMenuItem(SourceEdit.OpenDialog.Filename);
	Form1.ReopenMenu2.SaveSubMenu;
	end;
end;




procedure TForm1.HandleIncludeFileChange(Sender: TObject);
var Filename: string;
var Ed: TCodeEditor;
begin
if not (Sender is TCodeEditor) then exit;
Ed:=TCodeEditor(Sender);

Filename:=ED.CurrentFile;
if Filename<>'' then
	begin
	ReopenMenu2.AddMenuItem(Filename);
	ReopenMenu2.SaveSubMenu;
	end;
TEditorTabsheet(Ed.Parent).Caption:=ExtractFilename(Filename);
ChangeDefaultDir(Filename);
end;



 

procedure OpenFileAtCursor(Sender: TObject);
var DefDir: string;
var Filename: string;
begin
GetDir(0,DefDir);
Filename:=GetFileAtCursor(Sender);
if Filename<>'' then
	begin
	FindOrCreateEditor(Filename);
	Form1.ReopenMenu2.AddMenuItem(Filename);
	Form1.ReopenMenu2.SaveSubMenu;
	end;
ChDir(DefDir);
end;




procedure TForm1.FileAtCursorClick(Sender: TObject);
begin
OpenFileAtCursor(Sender);
end;


procedure TForm1.New1Click(Sender: TObject);
begin
Form1.IDEPageControl.ActivePageIndex:=0;
EditorPageControl.ActivePageIndex:=0;
SourceEdit.NewHandler;
SourceEdit.Editor.Text:=GetXPLPrototype;
SourceEdit.Editor.IsModified:=False;
if SourceEdit.Editor.CanFocus then SourceEdit.Editor.SetFocus;
SourceEdit.Editor.MoveToLinear(0);
SourceEdit.Invalidate;
end;


procedure TForm1.Find1Click(Sender: TObject);
var Editor: TCodeEditor;
begin
Form1.IDEPageControl.ActivePageIndex:=0;
Editor:=GetActiveEditor;
Editor.FindExecuteHandler(Sender);
end;


procedure TForm1.DebugDialog1Click(Sender: TObject);
begin
DoDebugInfo(True);
end;



procedure TForm1.StackDump1Click(Sender: TObject);
begin
ShowStackDump;
end;


function IsProgramReady: boolean;
var R: integer;
begin
Result:=False;
if Form1.SourceEdit.Editor.EditBuffer.Empty then
	begin
	MessageDlg('No Program', mtWarning, [mbOK], 0);
	exit;
	end;
if (Form1.SourceEdit.CurrentFile='') or Form1.SourceEdit.Editor.IsModified then
	begin
	R:=MessageDlg('Save Changes?', mtConfirmation, [mbYes, mbNo, mbCancel], 0);
	if R=mrYes then Form1.SaveMnuClick(Form1) else exit;
	end;
if HandleProgramRunning then exit;
Result:=True;
end;




procedure TForm1.DebugConsole1Click(Sender: TObject);
begin
if not IsProgramReady then exit;
DoDebugConsole;
end;




procedure TForm1.Help2Click(Sender: TObject);
begin
Application.HelpCommand(HELP_CONTENTS, 0);
end;



function MAKELANGID(const usPrimaryLanguage, usSubLanguage: Byte): Word;
begin
 Result := usPrimaryLanguage or (usSubLanguage shl 10);
end;



function InjectCode(ExeFile,ResName,Data: string): boolean;
{Notes: 1) resource name must be upper case}
{2) when deleting or overwriting an existing item, all
parameters must match the stored resource, especially language ID}
var MS: TMemoryStream;
var ResourceHandle: THandle;
begin
MS:=TMemoryStream.Create;
MS.Write(PChar(Data)^,Length(Data));
Result:=False;
ResourceHandle:= BeginUpdateResource(pChar(ExeFile), False);
iF ResourceHandle <> 0 then
	begin
	Result:= True;
	iF not UpdateResource(ResourceHandle, RT_RCDATA, pChar(ResName), MAKELANGID(LANG_NEUTRAL,SUBLANG_NEUTRAL), @Data[1], Length(Data)) then Result:= False;
	if not EndUpdateResource(ResourceHandle, False) then Result:= False;
	end;
end;



procedure TForm1.StandAloneBtnClick(Sender: TObject);
var Code: string;
var ErrorCnt: integer;
var SourcePath,AppPath,TargetName,ResName: string;
begin
if InDebugMode then exit;
SourcePath:=ExtractFilePath(SourceEdit.CurrentFile);
AppPath:=ExtractFilePath(Application.ExeName);
if SourceEdit.CurrentFile='' then  TargetName:=AppPath+'Test.exe'
else TargetName:=ChangeFileExt(SourceEdit.CurrentFile,'.exe');
InitializeMessages;
MessageView.Items.Clear;
try
ChangeDefaultDir(SourcePath);
ErrorCnt:=DoAutoCompile(SourceEdit.Editor.Text,Code,IDEMessageHandler);
finally MessagePostCompile; end;
if ErrorCnt=0 then
	begin
	FileCopy(AppPath+'XPLStub32.exe',TargetName);
	if IntBytes = 2 then Resname:='I2LCODE16'
	else Resname:='I2LCODE32';
	InjectCode(TargetName,ResName,Code);
	ProgramMonitor1.RunProgram(TargetName);
	end
else MessageDlg('Compile Errors, Cannot Create Program.',mtWarning, [mbOK], 0);
end;



procedure TForm1.ShowIntrinsicList1Click(Sender: TObject);
var P: TPoint;
var Editor: TScrollEditor;
begin
Editor:=TCodeEditor(TPopupMenu(Sender).Owner).Editor;
P:=Editor.GetCursorPixelPos;
P:=Editor.ClientToScreen(P);
ShowIntrinsicDlg(Editor,P,Editor.GetHighlightedText);
end;



procedure TForm1.MainPageMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if IntrinsicDlg.Visible then IntrinsicDlg.Close;
end;




procedure TForm1.Configuration1Click(Sender: TObject);
begin
ShowConfigDlg;
end;


procedure TForm1.I2LDisasembly1Click(Sender: TObject);
begin
ShowI2LDlg;
end;


procedure TForm1.Exit1Click(Sender: TObject);
begin
Close;
end;


procedure TForm1.DOSPrompt1Click(Sender: TObject);
var S: string;
begin
S:=GetExpandedEnviroString('%SystemRoot%\system32\cmd.exe');
ProgramMonitor1.RunProgram(S);
end;



procedure TForm1.WindowsExplorer1Click(Sender: TObject);
var S: string;
begin
GetDir(0,S);
OpenWindowsExplorer(S);
end;




procedure TForm1.RunParameter1Click(Sender: TObject);
begin
ShowRuntimeDlg;
end;

procedure TForm1.PCLineNumberList1Click(Sender: TObject);
begin
if not IsProgramReady then exit;
ShowLineNumberDlg;
end;

procedure TForm1.IntrinsicCodeDeclaration1Click(Sender: TObject);
begin
CodeDecDlg.ShowModal;
end;


procedure TForm1.Profiler1Click(Sender: TObject);
begin
if not IsProgramReady then exit;
DoProfiler;
end;


procedure TForm1.InternalConstants1Click(Sender: TObject);
begin
ShowConstantsDlg;
end;


procedure TForm1.PauseBtnClick(Sender: TObject);
begin
if PauseBtn.Down then
	begin
	StopProgram:=True;
	PauseFlag:=True;
	end
else PauseFlag:=False;
end;


procedure TForm1.About1Click(Sender: TObject);
begin
DoAboutDlg;
end;




procedure TForm1.SourceEditMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
if not DoIntrinsicHints(SourceEdit.Editor,X,Y) then
 DoVariableHints(SourceEdit.Editor,X,Y);
end;

procedure TForm1.FindDeclaration(Sender: TObject);
var Editor: TCodeEditor;
begin
Editor:=GetActiveEditor;
GotoDeclaration(Editor.Editor);
end;



procedure TForm1.IncludeEditMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
if Sender is TScrollEditor then
 if not DoIntrinsicHints(TScrollEditor(Sender),X,Y) then
  DoVariableHints(TScrollEditor(Sender),X,Y);
end;



procedure TForm1.MessageCopyAllMnuClick(Sender: TObject);
var S: string;
var I: integer;
begin
S:='';
for I:=0 to MessageView.Items.Count-1 do
	S:=S+MessageView.Items[I]+CRLF_Char;
ClipBoard.Open;
ClipBoard.AsText:=S;
ClipBoard.Close;
end;


procedure TForm1.MessageCopyMnuClick(Sender: TObject);
var Inx: integer;
begin
Inx:=MessageView.ItemIndex;
if Inx<0 then exit;
ClipBoard.Open;
ClipBoard.AsText:=MessageView.Items[Inx];
ClipBoard.Close;
end;


procedure TForm1.VGAPaleltte1Click(Sender: TObject);
begin
DoVGAPaletteDlg(False);
end;




procedure TForm1.ProgramStructure1Click(Sender: TObject);
begin
if not DoCompileOnly then exit;
LoadVariables;
DoVariableDlg(False);
end;



procedure TForm1.TabsPopupPopup(Sender: TObject);
var Enable: boolean;
begin
Enable:=EditorPageControl.ActivePage is TEditorTabsheet;
TabsPopup.Items[0].Enabled:=Enable;
{ Source to Include }
TabsPopup.Items[1].Enabled:=not Enable;
{ Include to Source }
TabsPopup.Items[2].Enabled:=Enable;
end;


procedure TForm1.CloseTabMnuClick(Sender: TObject);
var Editor: TCodeEditor;
begin
if EditorPageControl.ActivePage is TEditorTabsheet then
	begin
	Editor:=TEditorTabsheet(EditorPageControl.ActivePage).CodeEditor;
	if Editor.Editor.IsModified then
		begin
		if SaveByEditor(Editor)<>mrCancel then
		   EditorPageControl.ActivePage.Free;
		end
	else EditorPageControl.ActivePage.Free;
	end;
end;




procedure TForm1.NewInclude1Click(Sender: TObject);
begin
AddIncludeEditor(True,False,'New');
end;




procedure TForm1.SearchAll1Click(Sender: TObject);
begin
DoFindAll;
end;


procedure TForm1.MessageViewDrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
begin
CustomDrawLBItem(Control,Index,Rect,State,Form1.ImageList1);
end;



procedure TForm1.ClearCompilerResults1Click(Sender: TObject);
begin
ClearMessages(MessageView,False,True);
end;



procedure TForm1.ClearSearchResults1Click(Sender: TObject);
begin
ClearMessages(MessageView,True,False);
end;


procedure TForm1.ReopenMenu2MenuClick(Sender: TObject; Path: String);
begin
FindOrCreateEditor(Path);
end;


{------------------------------------------------------------------------------}


procedure TForm1.EditorPageControlMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
if IntrinsicDlg.Visible then IntrinsicDlg.Close;
if Button=mbRight then
	begin
	EditorPageControl.ActivePageIndex:=EditorPageControl.IndexOfTabAt(X,Y);
	end
else EditorPageControl.BeginDrag(False);
end;




procedure TForm1.EditorPageControlDragOver(Sender, Source: TObject; X,
  Y: Integer; State: TDragState; var Accept: Boolean);
begin
if Sender is TPageControl then Accept := True;
end;




procedure TForm1.EditorPageControlDragDrop(Sender, Source: TObject; X,
  Y: Integer);
const
  TCM_GETITEMRECT = $130A;
var
  i: Integer;
  r: TRect;
begin
  if not (Sender is TPageControl) then Exit;
  with EditorPageControl do
  begin
    for i := 0 to PageCount - 1 do
    begin
      Perform(TCM_GETITEMRECT, i, lParam(@r));
      if PtInRect(r, Point(X, Y)) then
      begin
        if i <> ActivePage.PageIndex then
          ActivePage.PageIndex := i;
        Exit;
      end;
    end;
  end;
end;


procedure TForm1.IDEPageControlChange(Sender: TObject);
var Editor: TCodeEditor;
begin
if IDEPageControl.ActivePageIndex=0 then
	begin
	Editor:=GetActiveEditor;
	if Editor.Editor.CanFocus then Editor.Editor.SetFocus;
	end
else HideHints;
end;



procedure TForm1.OpenInIncludeEditor1Click(Sender: TObject);
begin
if SourceEdit.Editor.Filename='' then exit;
if HandleSaveAll=mrCancel then exit;
ShowOrCreateEditor(SourceEdit.Editor.Filename);
Form1.ReopenMenu2.AddMenuItem(SourceEdit.Editor.Filename);
Form1.ReopenMenu2.SaveSubMenu;
end;



procedure TForm1.OpenInSourceEditor1Click(Sender: TObject);
var Filename: string;
begin
if HandleSaveAll=mrCancel then exit;
Filename:=GetActiveEditor.Editor.Filename;
CloseTabMnuClick(Sender);
OpenMainSource(Filename);
end;


procedure TForm1.SaveAll1Click(Sender: TObject);
begin
HandleSaveAll;
end;

procedure TForm1.CopyText1Click(Sender: TObject);
begin
ConsoleWnd.VGABox.CopyText;
end;



procedure TForm1.CopyImage1Click(Sender: TObject);
var MyFormat : Word;
var AData : Thandle;
var APalette: HPALETTE;
begin
ConsoleWnd.VGABox.Picture.SaveToClipBoardFormat(MyFormat,AData,APalette);
ClipBoard.SetAsHandle(MyFormat,AData);
end;




procedure TForm1.InstrinsicState1Click(Sender: TObject);
begin
ShowIntrinsicStateDlg;
end;


procedure TForm1.ExplorerMnuClick(Sender: TObject);
begin
OpenWindowsExplorer(GetDefaultDir);
end;



procedure TForm1.OpenDOSPrompt1Click(Sender: TObject);
begin
OpenDOSWindow(GetDefaultDir);
end;



procedure TForm1.ZoomInBtnClick(Sender: TObject);
begin
ConsoleWnd.ScaleFactor:=GetNextValue(ConsoleWnd.ScaleFactor );
Form1.ZoomPanel.Caption:=FloatToStr(ConsoleWnd.ScaleFactor);
end;



procedure TForm1.ResetZoomBtnClick(Sender: TObject);
begin
ConsoleWnd.ScaleFactor:=1;
Form1.ZoomPanel.Caption:=FloatToStr(ConsoleWnd.ScaleFactor);
end;



procedure TForm1.ZoomOutBtnClick(Sender: TObject);
begin
ConsoleWnd.ScaleFactor:=GetPreviousValue(ConsoleWnd.ScaleFactor );
Form1.ZoomPanel.Caption:=FloatToStr(ConsoleWnd.ScaleFactor);
end;

procedure TForm1.ConsoleWndScaleChange(Sender: TObject);
begin
Form1.ZoomPanel.Caption:=FloatToStr(ConsoleWnd.ScaleFactor);
end;




procedure TForm1.SymbolDump1Click(Sender: TObject);
begin
ShowSymbolDump;
end;



procedure TForm1.Structs1Click(Sender: TObject);
begin
if not IsProgramReady then exit;
ShowStructsDlg;
end;

procedure TForm1.ConsoleWndMouseWheelDown(Sender: TObject;
  Shift: TShiftState; MousePos: TPoint; var Handled: Boolean);
begin
if not (ssCtrl in Shift) then exit;
ConsoleWnd.ScaleFactor:=ConsoleWnd.ScaleFactor-0.01;;
Form1.ZoomPanel.Caption:=FloatToStr(ConsoleWnd.ScaleFactor);
end;


procedure TForm1.ConsoleWndMouseWheelUp(Sender: TObject;
  Shift: TShiftState; MousePos: TPoint; var Handled: Boolean);
begin
if not (ssCtrl in Shift) then exit;
ConsoleWnd.ScaleFactor:=ConsoleWnd.ScaleFactor+0.01;;
Form1.ZoomPanel.Caption:=FloatToStr(ConsoleWnd.ScaleFactor);
end;




end.
