unit IDEAbout;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, LinkLabel,SysUtils,DSupport;

type
  TAboutDlg = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    CompanyLabel: TLabel;
    Label1: TLabel;
    VersionLabel: TLabel;
    CopyRightLabel: TLabel;
    LinkLabel1: TWebLinkLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutDlg: TAboutDlg;

procedure DoAboutDlg;

implementation

{$R *.DFM}

procedure DoAboutDlg;
var Year,Month,Day: word;
var Y: string;
const MajorVer=2;
begin
DecodeDate(FileDateTime(Application.ExeName),Year,Month,Day);
Y:=IntToStr(Year);
AboutDlg.CopyRightLabel.Caption:='No Copyright '+Y;
AboutDlg.VersionLabel.Caption:='Version '+IntToStr(MajorVer)+'.'+Y+'.'+IntToStr(Month)+'.'+
		IntToStr(Day)+'.'+GetBuildNumber;
AboutDlg.ShowModal;
end;


procedure TAboutDlg.Button1Click(Sender: TObject);
begin
Close;
end;

end.
 
